{% for item in frontend_rules %}
frontend {{ item.name }}
bind {{ item.ip }}:{{ item.port | default('80', true) }}
balance {{ item.balance | default('roundrobin', true) }}
default_backend {{ item.default_backend }}
backend {{ item.default_backend }}
{% for item in item.backend_servers %}
server {{ item.name }} {{ item.ip  }}:{{ item.port | default('80', true) }}
{% endfor %}
{% endfor %}
